
CoCoA-5 - Slug #1229

append is slow

05 Oct 2018 17:44 - John Abbott

Status: New Start date: 05 Oct 2018

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: bug Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.00 hour

Description

Creating a long list by calling append in a loop has run-time quadratic in the final list length.

Related issues:

Related to CoCoA-5 - Slug #1228: SLUG: filling an array In Progress 30 Sep 2018

History

#1 - 05 Oct 2018 17:44 - John Abbott

- Related to Slug #1228: SLUG: filling an array added

#2 - 01 Oct 2019 14:14 - John Abbott

- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0

#3 - 04 Nov 2021 20:28 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2
